import AnimationStyleProperties from '../../entities/QAnimationStyleProperties';
import KeyframeAnimationPattern from '../../entities/QKeyframeAnimationPattern';
import { CommonAnimationParameters } from '../../entities/QAnimationsMetadata';
import { AnimationTriggerMetadata } from '../../../../../../node_modules/@angular/animations';
export interface BounceAnimationStyleProperties {
    opacity: number;
    translation: string;
    offset: number;
}
export interface BounceAnimationParams extends CommonAnimationParameters {
    animationStyleProperties?: Array<BounceAnimationStyleProperties>;
}
declare abstract class AbstractBounceAnimationPattern extends KeyframeAnimationPattern {
    triggerName: string;
    isVertical: boolean;
    duration: number;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    bounceAnimationParams: Array<BounceAnimationStyleProperties>;
    constructor(triggerName: string, isVertical?: boolean, duration?: number, includeEnterTransition?: boolean, includeLeaveTransition?: boolean, bounceAnimationParams?: Array<BounceAnimationStyleProperties>);
    getTrigger(): AnimationTriggerMetadata;
    initBounceAnimationPattern(): void;
    getTranslation(): string;
    convertStylePropertiesToBounceProperties(styleProperties?: Array<BounceAnimationStyleProperties>): Array<AnimationStyleProperties>;
}
export default AbstractBounceAnimationPattern;
