import { AnimationTriggerMetadata } from '@angular/animations';
import State from './QState';
import Transition from './QTransition';
import AbstractAnimation from './QAbstractAnimation';
declare abstract class AbstractAnimationPattern {
    triggerName: string;
    includeEnterTransition: boolean;
    includeLeaveTransition: boolean;
    stateList: Array<State>;
    transitionList: Array<Transition>;
    constructor(triggerName: string, includeEnterTransition?: boolean, includeLeaveTransition?: boolean);
    setupStateList(stateList: Array<State>): AbstractAnimationPattern;
    setupTransitionList(transitionList: Array<Transition>): AbstractAnimationPattern;
    addTransition(animation: AbstractAnimation, transition: string, isLeaveTransition?: boolean): AbstractAnimationPattern;
    initAnimationPattern(): AbstractAnimationPattern;
    getTrigger(): AnimationTriggerMetadata;
}
export default AbstractAnimationPattern;
